#!/bin/bash

# cleanup
echo "[$(date +"%d %h %Y %H:%M:%S")] Clean everything"
make clean >/dev/null;

# To generate references
echo "[$(date +"%d %h %Y %H:%M:%S")] Generate intermediary files"
make from_docker >/dev/null;

# Final generation
echo "[$(date +"%d %h %Y %H:%M:%S")] Final build"
make from_docker 2>&1 | grep -i '^LaTeX Warning'

if [ -f _build/KevingGervot.pdf ]; then
  cp _build/KevingGervot.pdf ./KevingGervot.pdf
  make clean >/dev/null;
  echo "[$(date +"%d %h %Y %H:%M:%S")] Output file is KevingGervot.pdf"
else
  echo "[$(date +"%d %h %Y %H:%M:%S")] [!] Could not copy _build/KevingGervot.pdf"
fi
